Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# packed_image_type Struct Template Reference
[packed_image_type,bit_aligned_image_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename BitField, typename ChannelBitSizeVector, typename Layout, typename Alloc = std::allocator<unsigned char>>
struct boost::gil::packed_image_type< BitField, ChannelBitSizeVector, Layout, Alloc >

Returns the type of an interleaved packed image: an image whose channels may not be byte-aligned, but whose pixels are byte aligned.

## Public Types

typedef image< typename packed_pixel_type< BitField, ChannelBitSizeVector, Layout > ::type, false, Alloc > | type

The documentation for this struct was generated from the following file:

- metafunctions.hpp